## ros-one-map-server 1.17.3-4jammy.20251023.0105

=== debian/changelog ===
ros-one-map-server (1.17.3-4jammy.20251023.0105) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 23 Oct 2025 01:05:56 +0000

ros-one-map-server (1.17.3-0jammy) jammy; urgency=high

  * [ROS-O] various patches (#1225 <https://github.com/ros-planning/navigation/issues/1225>)
    * do not specify obsolete c++11 standard
    this breaks with current versions of log4cxx.
    * update pluginlib include paths
    the non-hpp headers have been deprecated since kinetic
    * use lambdas in favor of boost::bind
    Using boost's _1 as a global system is deprecated since C++11.
    The ROS packages in Debian removed the implicit support for the global symbols,
    so this code fails to compile there without the patch.
  * Contributors: Michael Görner

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-one-map-server (1.17.2-0jammy) jammy; urgency=high

  * Change_map service to map_server [Rebase/Noetic] (#1029 <https://github.com/ros-planning/navigation/issues/1029>)
    * Refactored map loading from constructor to three methods
    * Added change_map service using LoadMap.srv
  * map_server: Initialise a NodeHandle in main. (#1122 <https://github.com/ros-planning/navigation/issues/1122>)
  * Add debug output regarding waiting for time (#1078 <https://github.com/ros-planning/navigation/issues/1078>)
    Added debug messages suggested in https://github.com/ros-planning/navigation/issues/1074#issuecomment-751557177. Makes it easier to discover if use_sim_time is true but no clock server is running
  * crop_map: Fix extra pixel origin shift up every cropping (#1064 <https://github.com/ros-planning/navigation/issues/1064>) (#1067 <https://github.com/ros-planning/navigation/issues/1067>)
    Co-authored-by: Pavlo Kolomiiets <mailto:pavlo@blindnology.com>
  * (map_server) add rtest dependency to tests (#1061 <https://github.com/ros-planning/navigation/issues/1061>)
  * [noetic] MapServer variable cleanup: Precursor for #1029 <https://github.com/ros-planning/navigation/issues/1029> (#1043 <https://github.com/ros-planning/navigation/issues/1043>)
  * Contributors: Christian Fritz, David V. Lu!!, Matthijs van der Burgh, Nikos Koukis, Pavlo Kolomiiets

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 20 Jun 2022 00:00:00 -0000

ros-one-map-server (1.17.1-0jammy) jammy; urgency=high

  * Initial map_server map_mode tests (#1006 <https://github.com/ros-planning/navigation/issues/1006>)
  * [noetic] Adding CMake way to find yaml-cpp (#998 <https://github.com/ros-planning/navigation/issues/998>)
  * Contributors: David V. Lu!!, Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 00:00:00 -0000

ros-one-map-server (1.17.0-0jammy) jammy; urgency=high

  * Merge pull request #982 <https://github.com/ros-planning/navigation/issues/982> from ros-planning/noetic_prep
    Noetic Migration
  * increase required cmake version
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-one-map-server (1.16.6-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 00:00:00 -0000

ros-one-map-server (1.16.5-0jammy) jammy; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 00:00:00 -0000

ros-one-map-server (1.16.4-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 00:00:00 -0000

ros-one-map-server (1.16.3-0jammy) jammy; urgency=high

  * Merge branch 'melodic-devel' into layer_clear_area-melodic
  * Merge pull request #850 <https://github.com/ros-planning/navigation/issues/850> from seanyen/map_server_windows_fix
    [Windows][melodic] map_server Windows build bring up
  * map_server Windows build bring up
    * Fix install location for Windows build. (On Windows build, shared library uses RUNTIME location, but not LIBRARY)
    * Use boost::filesystem::path to handle path logic and remove the libgen.h dependency for better cross platform.
    * Fix gtest hard-coded and add YAML library dir in CMakeList.txt.
  * Contributors: Michael Ferguson, Sean Yen, Steven Macenski

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 00:00:00 -0000

ros-one-map-server (1.16.2-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 00:00:00 -0000

ros-one-map-server (1.16.1-0jammy) jammy; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 00:00:00 -0000

ros-one-map-server (1.16.0-0jammy) jammy; urgency=high

  * Merge pull request #735 <https://github.com/ros-planning/navigation/issues/735> from ros-planning/melodic_708
    Allow specification of free/occupied thresholds for map_saver (#708 <https://github.com/ros-planning/navigation/issues/708>)
  * Allow specification of free/occupied thresholds for map_saver (#708 <https://github.com/ros-planning/navigation/issues/708>)
    * add occupied threshold command line parameter to map_saver (--occ)
    * add free threshold command line parameter to map_saver (--free)
  * Merge pull request #704 <https://github.com/ros-planning/navigation/issues/704> from DLu/fix573_lunar
    Map server wait for a valid time fix [lunar]
  * Map server wait for a valid time, fix #573 <https://github.com/ros-planning/navigation/issues/573> (#700 <https://github.com/ros-planning/navigation/issues/700>)
    When launching the map_server with Gazebo, the current time is picked
    before the simulation is started and then has a value of 0.
    Later when querying the stamp of the map, a value of has a special
    signification on tf transform for example.
  * Contributors: Michael Ferguson, Romain Reignier, ipa-fez

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 00:00:00 -0000

ros-one-map-server (1.15.2-0jammy) jammy; urgency=high


