=== debian/control ===
Source: ros-one-map-server
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libbullet-dev, libsdl-image1.2-dev, libsdl1.2-dev, libyaml-cpp-dev, ros-one-catkin (>= 0.5.68), ros-one-nav-msgs, ros-one-roscpp, ros-one-tf2
Homepage: http://wiki.ros.org/map_server
Standards-Version: 3.9.2

Package: ros-one-map-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbullet-dev, libsdl-image1.2-dev, libsdl1.2-dev, libyaml-cpp-dev, ros-one-nav-msgs, ros-one-roscpp, ros-one-tf2
Description: map_server provides the map_server ROS Node, which offers map data as a ROS Service.
 It also provides the map_saver command-line utility, which allows dynamically generated maps to be saved to file.
